
## trend analysis
##
## run at the R prompt source(file = "trends.R", echo = TRUE)
##
## (C) ceeboo 2009

library("robustbase")

##
load(file = "city_ALL_95-07.rda")

k <- as.character(1995:2006)
e <- NULL
for (c in c("MAD", "ZUR"))
    for (n in dimnames(city_ALL)[[2]]) {
	ltm <- try(ltsReg(b ~ t, data =
	     data.frame(b = city_ALL[c, n, k], t = as.integer(k))))
##	print(paste(c, n, sep = ":"))
	if (inherits(ltm, "try-error")) {
	    e <- c(e, NA)
	    print(ltm)
	} else {
	    s <- summary(ltm)
	    if (s$coefficients["t", "Pr(>|t|)"] < 0.05)
		e <- c(e, s$coefficients["t", "Estimate"])
	    else
		e <- c(e, NA)
##	    print(s)
	}
    }

dim(e) <- c(dim(city_ALL)[2], 2)
rownames(e) <-  dimnames(city_ALL)[[2]]
colnames(e) <- c("MAD","ZUR")

t <- apply(city_ALL[c("MAD", "ZUR"),,k], c(1,2), median, na.rm = TRUE)
t <- t(t)
t <- cbind(e, t)

print(round(t))

###


